#!/bin/sh
while [ 1 ]; do
sleep 30
enable="`uci show iec101_104.@iec101_104[0].iec101_104_enable | awk -F "_enable=" '{print$2}'`"
if [ $enable = "1" ]; then
	echo "101 104 enabled"
	pid="`ps | grep 101_104 | grep -v grep | grep -v iec101_104_wd | awk '{print$1}'`"
	echo $pid
	if ! [ -z "$pid" ] ; then  
	     echo "Application running"
	else
	     echo "Application stopped, Restarting application"
	     /etc/init.d/iec101_104init reload
	fi
	
	conn_count="`netstat -nat | grep 2404 | grep ESTABLISHED -c`"
	if [ $conn_count -ge 2 ] ; then
		echo $conn_count
		echo "Multiple connection detected"
		/etc/init.d/iec101_104init reload
	fi

else     
     echo "101 104 Disabled"
fi
done

